| Exiv2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Exiv2::Internal::CrwMap Class Reference

Static class providing mapping functionality from CRW entries to image metadata and vice versa. More...

`#include <crwimage_int.hpp>`

## Static Public Member Functions
static void | decode (const CiffComponent &ciffComponent, Image &image, ByteOrder byteOrder)
| Decode image metadata from a CRW entry, convert and add it to the image metadata. This function converts only one CRW component.
static void | encode (CiffHeader *pHead, const Image &image)
| Encode image metadata from image into the CRW parse tree. This function converts all Exif metadata that Exiv2 can convert to CRW format, in a loop through the entries of the mapping table.
static void | loadStack (CrwDirs &crwDirs, uint16_t crwDir)
| Load the stack: loop through the CRW subdirs hierarchy and push all directories on the path from crwDir to root onto the stack crwDirs. Requires the subdirs array to be arranged in bottom-up order to be able to finish in only one pass.

## Detailed Description

Static class providing mapping functionality from CRW entries to image metadata and vice versa.

## Member Function Documentation

## ◆ decode()

void Exiv2::Internal::CrwMap::decode | ( | const CiffComponent & | ciffComponent,
|  | Image & | image,
|  | ByteOrder | byteOrder )
| static

Decode image metadata from a CRW entry, convert and add it to the image metadata. This function converts only one CRW component.

Parameters

  ciffComponent | Source CIFF entry
  image | Destination image for the metadata
  byteOrder | Byte order in which the data of the entry is encoded

References Exiv2::Internal::CiffComponent::dir(), Exiv2::Internal::CiffComponent::tagId(), and Exiv2::Internal::CrwMapping::toExif_.

## ◆ encode()

void Exiv2::Internal::CrwMap::encode | ( | CiffHeader * | pHead,
|  | const Image & | image )
| static

Encode image metadata from image into the CRW parse tree. This function converts all Exif metadata that Exiv2 can convert to CRW format, in a loop through the entries of the mapping table.

Parameters

  pHead | Destination parse tree.
  image | Source image containing the metadata.

Referenced by Exiv2::CrwParser::encode().

The documentation for this class was generated from the following files:

- crwimage_int.hpp
- crwimage_int.cpp